Bug 59260 - Auto partitioning failed with vfat and free space
Summary: Auto partitioning failed with vfat and free space
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-04 04:26 UTC by argosy
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RH Linux installer crash dump-partitions vfat and free issue (30.13 KB, patch)
2002-05-27 14:58 UTC, hammer
no flags Details | Diff

Description argosy 2002-02-04 04:26:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en]C-CCK-MCD  (WinNT; U)

Description of problem:
Automatic partitioning failed with dialog "could not partition" with dev/hda1 
as vfat and free space. Manually deleted both and partitioned with default 
values from previous automatic partitioning install on another machine. 
Completed install successively and running without problems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Partition drive to give dev/hda1 6142 vfat and Free of 8 or similar
1.Start install
2.At partitioning select automatic
3.
	

Actual Results:  As described above

Expected Results:  On previous machine without free space partitioned with 
default values. This is my second install with 7.2

Additional info:

Comment 1 Michael Fulbright 2002-02-11 17:03:23 UTC
If you selected to autopartition and only delete linux partitions, and there was
only 8M of space left on the drive, I would expect autopartitioning to fail
because 8M is not enough space.

What did you expected to happen?

Comment 2 argosy 2002-02-12 22:03:19 UTC
As I recall I elected to overwrite the existing vfat but maybe I missed 
something. On another machine with a single vfat partition it worked OK. I 
thought the free space was causing a problem.

I was not intending to install to the 8 MB of free space.

Comment 3 Jeremy Katz 2002-02-19 07:28:11 UTC
To overwrite the existing vfat partitions, you have to select to delete all
partitions on the system.  Did you select deleting just the linux partitions or
all partitions?

Comment 4 Michael Fulbright 2002-04-10 18:20:43 UTC
Closing due to inactivity, please reopen if you contine to have problems.

Comment 5 hammer 2002-05-27 14:58:26 UTC
Created attachment 58667 [details]
RH Linux installer crash dump-partitions vfat and free issue

Comment 6 hammer 2002-05-27 15:04:07 UTC
I faced this issue when installing RHL 7.2. I have Windows 2000 installed. I'm trying to add Linux to my hard disk while preserving Windows. Initially, after choosing 
automatic partitioning Anaconda reported a warning that "the partition table is inconsistent". And then I got similar messages to what is described previously by 
argosy. The difference is that I have the 'free' part with either 2 MB or <1 MB.

Comment 7 Red Hat Bugzilla 2006-02-21 18:48:24 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.